Ticket #34917

Skype の分割ウィンドウビューでエラーが出る

Open Date: 2015-02-18 21:16 Last Update: 2018-12-21 09:22

Reporter:
Owner:
(None)
Type:
Status:
Closed
Component:
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed

Details

2015.1jp-beta-150211 でのご報告:

Skype を分割ウィンドウビューにして、チャット画面や通話画面からウィンドウを切り替えた際にエラーが出るとのことです。

ユーザーガイドや最新情報には明記されていませんが 「分割ウィンドウビュー」には対応していないようなので、 2015.1jp の正式リリースのときには注意書きをつけることを検討します。

本家の関連チケット

http://community.nvda-project.org/ticket/3210

以下、いただいたログ:

INFO - core.main (20:08:53):
NVDA version 2015.1jp-beta-150211
INFO - core.main (20:08:53):
Using Windows version sys.getwindowsversion(major=6, minor=1, build=7601, platform=2, service_pack='Service Pack 1')
INFO - core.main (20:08:53):
Using Python version 2.7.9 (default, Dec 10 2014, 12:24:55) [MSC v.1500 32 bit (Intel)]
INFO - core.main (20:08:53):
Using comtypes version 0.6.2
INFO - synthDriverHandler.setSynth (20:08:54):
Loaded synthDriver ptjp
INFO - core.main (20:08:54):
Using wx version 3.0.2.0 msw (classic)
INFO - braille.initialize (20:08:54):
Using liblouis version 2.6.0
INFO - braille.BrailleHandler.setDisplayByName (20:08:54):
Loaded braille display driver noBraille, current display has 0 cells.
INFO - brailleInput.initialize (20:08:54):
Braille input initialized
WARNING - core.main (20:08:54):
Java Access Bridge not available
INFO - core.main (20:08:55):
NVDA initialized
ERROR - eventHandler.executeEvent (20:08:57):
error executing event: gainFocus on <NVDAObjects.IAccessible.TaskListIcon object at 0x04860B90> with extra args of {}
Traceback (most recent call last):
  File "eventHandler.pyo", line 136, in executeEvent
  File "eventHandler.pyo", line 152, in doPreGainFocus
  File "api.pyo", line 139, in setFocusObject
  File "appModuleHandler.pyo", line 223, in handleAppSwitch
  File "appModules\skype.pyo", line 230, in event_appModule_loseFocus
  File "appModules\skype.pyo", line 79, in lostFocus
AttributeError: 'Conversation' object has no attribute 'typingIndicator'

Attachment File List

No attachments

Ticket History (3/3 Histories)

2015-02-18 21:16 Updated by: nishimoto
  • New Ticket "Skype の分割ウィンドウビューでエラーが出る" created
2015-02-22 22:08 Updated by: nishimoto
Comment

Skype 7.1.0.105 + 2015.1jp-beta-150211 で分割ウィンドウビューを使ってみました。

Alt+Tab で連絡先の名前がタイトルになっているほうのウィンドウにフォーカスしたら、 問題なく NVDA+Ctrl+1 などによるチャットメッセージの確認が動くようです。

nvda.log にも特にエラーは出ていません。

分割ウィンドウビューには対応していないかも知れない、と書いてしまったのですが、 訂正したいと思います。

本チケットの現象について、私の環境では再現できないので、 なにか関連する情報があればお知らせください。

2018-12-21 09:22 Updated by: nishimoto
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
  • Details Updated
Comment

本家チケットもクローズされていました。 https://github.com/nvaccess/nvda/issues/3210

Edit

Please login to add comment to this ticket » Login